//////////////////////////////////////////////////////////////////////////////
// NAME.......: WizPropertySheet.h                                               
// PURPOSE....: base class for wizard property sheet
// WRITTEN....: 96/09/27 by Darko Juvan
// DESCRIPTION: 
//
// This code and information is provided "as is" without warranty of any
// kind, either expressed or implied, including but not limited to the
// implied warranties of merchantability and/or fitness for a particular
// purpose..
//
// Copyright (c) 1998  Multiactive Software Inc.  All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

#ifndef __CWizPropertySheet
#define __CWizPropertySheet

/////////////////////////////////////////////////////////////////////////////
// CWizPropertySheet
class CWizPropertySheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CWizPropertySheet)

// Construction
public:
	CWizPropertySheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CWizPropertySheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CWizPropertySheet();
// Attributes
public:
	CBitmap m_bmp;

	CString m_text1;
	CString m_text2;
	CString m_text3;
	CString m_text4;
	CString m_text5;
	CString m_text6;

	CString m_date;
	CString m_time1; 	
	CString	m_time2;
	CString m_text; 
	short	m_personal;
	short	m_alarm;
	short	m_alarm_time;
	short	m_iconType; 
	CString m_priority;
	short	m_completed; 

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWizPropertySheet)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CWizPropertySheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(CWizPropertySheet)
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
#endif //__CWizPropertySheet
